VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::adapter::SataTypes::Type Class Reference

The `Sata.Type` enumerated type defines the valid emulation types for a virtual SATA adapter. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, AHCI }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | AHCI = new Type("AHCI", Values.AHCI)
| AHCI host bus adapter.

## Detailed Description

The `Sata.Type` enumerated type defines the valid emulation types for a virtual SATA adapter.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::adapter::SataTypes::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  AHCI | AHCI host bus adapter.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::adapter::SataTypes::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::vcenter::vm::hardware::adapter::SataTypes::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::adapter::SataTypes::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::vcenter::vm::hardware::adapter::SataTypes::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::vcenter::vm::hardware::adapter::SataTypes::Type::AHCI = new Type("AHCI", Values.AHCI)`[static]`

AHCI host bus adapter.

The documentation for this class was generated from the following file:

- SataTypes.cs